//
//  SFDeliciousXMLParserDelegate.h
//  SFDeliciousApi
//
//  Created by Matteo Rattotti on 1/30/09.
//  Copyright 2009 www.shinyfrog.net. All rights reserved.
//

#import "SFDeliciousGlobalHeader.h"
#import "SFDeliciousRequestType.h"

@protocol SFDeliciousXMLParserDelegate

- (void)parsingSucceededForRequest:(NSString *)identifier 
                    ofResponseType:(SFDeliciousResponseType)responseType 
                 withParsedObjects:(NSArray *)parsedObjects;

- (void)parsingFailedForRequest:(NSString *)requestIdentifier 
                 ofResponseType:(SFDeliciousResponseType)responseType 
                      withError:(NSError *)error;

@end
